|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Qt 3 Support Members for QGLWidget

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QGLWidget class reference

### Public Functions

- QGLWidget ( QWidget * parent, const char * name, const QGLWidget * shareWidget = 0, Qt::WindowFlags f = 0 )
- QGLWidget ( const QGLFormat & format, QWidget * parent, const char * name, const QGLWidget * shareWidget = 0, Qt::WindowFlags f = 0 )
- QGLWidget ( QGLContext * context, QWidget * parent, const char * name, const QGLWidget * shareWidget = 0, Qt::WindowFlags f = 0 )

- 60 public functions inherited from QWidget
- 8 public functions inherited from QObject
- 8 public functions inherited from QPaintDevice

## Member Function Documentation

### QGLWidget::QGLWidget ( QWidget * parent, const char * name, const QGLWidget * shareWidget = 0, Qt::WindowFlags f = 0 )

### QGLWidget::QGLWidget ( const QGLFormat & format, QWidget * parent, const char * name, const QGLWidget * shareWidget = 0, Qt::WindowFlags f = 0 )

### QGLWidget::QGLWidget ( QGLContext * context, QWidget * parent, const char * name, const QGLWidget * shareWidget = 0, Qt::WindowFlags f = 0 )